[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.DoResetPrintersList

Performs actions needed to reset the status for the list of Printers.

## Declaration

Source position: printers.pas line 271

`protected procedure TPrinter.DoResetPrintersList; virtual;`

## Description

DoResetPrintersList is a virtual method which performs actions needed to reset the status for the list of available devices in the Printers property. DoResetPrintersList removes the value pfPrintersValid from the PrinterFlags property.

DoResetPrintersList is called from the Refresh method, and occurs prior to clearing and re-populating values in the Printers property. It is also called from the DoDestroy method when the class instance is freed.

Remark: | DoResetPrintersList can be overridden in a descendent class to perform actions needed for the operating system / widgetset / printer-related technology used in the implementation.